Subject: Re: lseek past EOF doesn't append zeros under Windows 95
From: [email-masked] (David Fox)

21 Jun 1998 11:58:48 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
To: [email-masked]

[email-masked] (Michael Hirmke) writes:

> Hi David,
> 
> [...]
> >but under Windows 95 the cygwin32 package does not behave this
> >way.  The gap is filled with garbage.  One package that depends
> >on the zeroing behavior is db-1.86.  Here is a test program:
> 
> This is a well known misbehaviour of Windows 95.
> AFAIK there is nothing at the moment, you can do about it.

It is not a misbehavior of Windows 95; Windows 95 makes no promises
about the contents of a file when you seek past its end.  Even if it
did, it is also a misbehavior of Cygwin to fail to account for the
actual behavior of Windows 95.  And there is something to do about it,
I posted the basis of a fix in another message.
-- 
David Fox	   http://www.cat.nyu.edu/fox		xoF divaD
NYU Media Research Lab   [email-masked]   baL hcraeseR aideM UYN
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".